Hi,

I'm new on this forum. I'm using backtrack for years from backtrack2 until now backtrack5-r2. I'm just another human being spending hours/days/years in a virtualized environment . Looking for vulnerability waiting for me to exploit. I really like your script. I discovered that some updates where not available: exploit-db, warvox, metasploit. As far as I know is svn not supported (at the moment) by exploit-db.

svn: Unknown hostname 'svn.exploit-db.com'

So I edited your script, fix those issues, I hope you appreciate it. Because of "The text that you have entered is too long (21339 characters). Please shorten it to 10000 characters long". If someone is interested, let me know I also wrote a small bashscript for updating exploit-db based on file-size. I'm working on a tools-version-script, just a tool to grep all version-numbers of the software installed in /pentest/. Of course I need also to build a update script for checking those version-numbers and to check if there are new updates available on internet.
Looking forward to read a comment on this post in the near future.

Really simple updatescript voor exploit-db

[QUOTE]#!/bin/bash
# R0FL
# Exploit-db script update - 03/31/2011 - 16:39
ls -al archive.tar.bz2 |cut -d' ' -f5>local_exploitdb
curl --silent --head http://www.exploit-db.com/archive.tar.bz2 |grep "Content-Length" |cut -d' ' -f2>remote_exploitdb
echo "Checking http://www.exploit-db.com for newest version"
diff -w remote_exploitdb local_exploitdb >/dev/null
if [ $? == 0 ]; then
echo "No updates available"
else
wget http://www.exploit-db.com/archive.tar.bz2; mv archive.tar.bz2.1 archive.tar.bz2 ; tar jxf archive.tar.bz2 ;
echo "New update available, Downloading . . ." ;
echo "Exploits are updated"
fi
echo "Removing temporary files"
rm -rf remote_exploitdb local_exploitdb
echo "The files:remote_exploitdb and local_exploitdb are removed"
echo "Thanks for using this script"/QUOTE]